Post by Randem » Sat Jan 30, 2016 4:56 am

H jennyol,

I know it is a little late for a scolding but you should always do a backup before attempting any large change and you should have a regular backup also.

OK, scolding over 8)

If you have a backup database you can use that. How was your database backed up? Was it dumped to SQL or was the database file just backed up. If the latter then just restore your database then dump it to SQL with the full set of instructions to recreate it included then start from step 1.

If you use the opencart.sql file from a previous install doing an upgrade on that would not gain you anything for you would have no data in it and it would get the same results as a newly created database in v2.1.0.1with a lot more work.

Now if you were to use the opencart.sql file from the previous install then populate it. Yes, that would work but I don't understand what you would populate it with if you don't have a backup. If you already have a backup, use that one. I am confused on this question.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by kirkhall » Tue Feb 16, 2016 10:56 am

Randem, I'm still working on my upgrade.
It looks to me like all of my imported customers passwords are not working. Is there something else that needs to be pulled from the old database and brought over in order to get that to work?

Something else more complicated?
Not an emergency or anything just curious.

Active Member

Posts

Joined
Thu May 22, 2014 11:31 am
Location - Missouri, USA

Post by Randem » Tue Feb 16, 2016 11:11 am

You can't just start in the middle without professional help... Why don't you just start the upgrade with a copy of your backup database and be done with it all. No piece work and separate conversions... I don't understand the reluctance...

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by kirkhall » Tue Feb 16, 2016 11:39 am

Randem wrote:You can't just start in the middle without professional help... Why don't you just start the upgrade with a copy of your backup database and be done with it all. No piece work and separate conversions... I don't understand the reluctance...
I have no idea what you mean. I didn't start in the middle. I did make a few mistakes and had to wing it for sure as we have previously discussed but all seems ok except for previous customer passwords.

Are you saying that if I followed your instructions to the letter that all user passwords should work after all the steps are completed?

Active Member

Posts

Joined
Thu May 22, 2014 11:31 am
Location - Missouri, USA

Post by Randem » Tue Feb 16, 2016 11:46 am

Yes, they would be the exact same as they were before...

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Vetrogor » Tue Feb 16, 2016 5:49 pm

I've updated v2.0.1.1 to v2.1.0.2 with this instructions. Default update doesn't work. But I have this errors when updated:
Notice: Error: Column count doesn't match value count at row 1
Error No: 1136
INSERT INTO `oc_api` VALUES(1, 'Default', 'ABWtRPVCVDd2IRrGGnIEniG5b7V5fQIe8WUuf2h8QtQGeD3JCweYi7SdJ17TpgVtTGbTcKwfms0H8k4DtcsdRFc0MwDfD62m6Uno6HatYAkoUvzf7dSxJH6AfCGWE8LQIKYXk2FppY6dptqg9r6loUUpe32xC3ZG4EvLNYbdFr3Em7thggrAYXwFgkpznawcjpC5gISst2c6I6gBfWIspcNrZi6Om0D22mZ227eWQtUqpXqeisslua9J6xbAAPHF', 1, '2015-12-20 00:00:46', '2015-12-20 00:00:46'); in X:\home\localhost\www\canew\system\library\db\mysqli.php on line 41
[Денвер: показать возможную причину ошибки]
Warning: Cannot modify header information - headers already sent by (output started at X:\home\localhost\www\canew\system\library\db\mysqli.php:41) in X:\home\localhost\www\canew\system\library\response.php on line 12
Everything works except the charset (russian). It is not encoded properly. When I enter in backend I have a message
Warning: vsprintf() [function.vsprintf]: Too few arguments in X:\home\localhost\www\canew\admin\controller\dashboard\activity.php on line 19

Newbie

Posts

Joined
Tue Feb 16, 2016 5:36 pm

Post by Randem » Wed Feb 17, 2016 4:19 am

You need to be clear and exact in what you are attempting to relay or mistakes happen "I've updated v2.0.1.1 to v2.1.0.2 with this instructions." What instruction is this?

"Everything works except the charset (russian). It is not encoded properly. When I enter in backend I have a message" I have no idea of what you mean here. If the charset doesn't work, remove it - I don't understand what the issue is here.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am
Who is online

Users browsing this forum: No registered users and 12 guests